Funnel, pages, sources and conversation quality
curl --request GET \
--url https://api.meetdarwin.ai/v1/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "analytics",
"range": "7d",
"filters": {
"page": "<string>",
"source": "<string>",
"device": "<string>"
},
"window": {
"from": "<string>",
"to": "<string>",
"previous_from": "<string>"
},
"headline": [
{
"metric": "visitors",
"value": 123,
"previous": 123,
"series": [
{
"day": "<string>",
"value": 123
}
]
}
],
"funnel": [
{
"stage": "<string>",
"label": "<string>",
"visitors": 123,
"rate_from_previous": 123
}
],
"biggest_drop": {
"from": "<string>",
"to": "<string>",
"lost": 123,
"rate": 123
},
"by_day": [
{
"day": "<string>",
"visitors": 123,
"leads": 123,
"meetings": 123
}
],
"pages": [
{
"label": "<string>",
"visitors": 123,
"openings_seen": 123,
"chats_opened": 123,
"conversations": 123,
"leads": 123,
"meetings": 123
}
],
"sources": [
{
"label": "<string>",
"visitors": 123,
"openings_seen": 123,
"chats_opened": 123,
"conversations": 123,
"leads": 123,
"meetings": 123,
"ai_assistant": true
}
],
"devices": [
{
"label": "<string>",
"count": 123
}
],
"returning": [
{
"label": "<string>",
"count": 123
}
],
"conversation_quality": {
"graded": 123,
"understood_rate": 123,
"average_qualification": 123,
"average_meeting_intent": 123,
"needs_review": 123
},
"intents": [
{
"label": "<string>",
"count": 123
}
],
"buying_stages": [
{
"label": "<string>",
"count": 123
}
],
"failures": [
{
"label": "<string>",
"count": 123
}
]
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}Analytics
Funnel, pages, sources and conversation quality
Requires the analytics:read scope.
GET
/
analytics
Funnel, pages, sources and conversation quality
curl --request GET \
--url https://api.meetdarwin.ai/v1/analytics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.meetdarwin.ai/v1/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.meetdarwin.ai/v1/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "analytics",
"range": "7d",
"filters": {
"page": "<string>",
"source": "<string>",
"device": "<string>"
},
"window": {
"from": "<string>",
"to": "<string>",
"previous_from": "<string>"
},
"headline": [
{
"metric": "visitors",
"value": 123,
"previous": 123,
"series": [
{
"day": "<string>",
"value": 123
}
]
}
],
"funnel": [
{
"stage": "<string>",
"label": "<string>",
"visitors": 123,
"rate_from_previous": 123
}
],
"biggest_drop": {
"from": "<string>",
"to": "<string>",
"lost": 123,
"rate": 123
},
"by_day": [
{
"day": "<string>",
"visitors": 123,
"leads": 123,
"meetings": 123
}
],
"pages": [
{
"label": "<string>",
"visitors": 123,
"openings_seen": 123,
"chats_opened": 123,
"conversations": 123,
"leads": 123,
"meetings": 123
}
],
"sources": [
{
"label": "<string>",
"visitors": 123,
"openings_seen": 123,
"chats_opened": 123,
"conversations": 123,
"leads": 123,
"meetings": 123,
"ai_assistant": true
}
],
"devices": [
{
"label": "<string>",
"count": 123
}
],
"returning": [
{
"label": "<string>",
"count": 123
}
],
"conversation_quality": {
"graded": 123,
"understood_rate": 123,
"average_qualification": 123,
"average_meeting_intent": 123,
"needs_review": 123
},
"intents": [
{
"label": "<string>",
"count": 123
}
],
"buying_stages": [
{
"label": "<string>",
"count": 123
}
],
"failures": [
{
"label": "<string>",
"count": 123
}
]
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}{
"type": "https://docs.meetdarwin.ai/api-reference/errors#insufficient_scope",
"title": "<string>",
"status": 0,
"code": "insufficient_scope",
"detail": "<string>",
"request_id": "req_8m2k4p0q1x7z9c3v5b6n",
"param": "<string>"
}Authorizations
A secret key (dk_live_…). Scopes: conversations:read, contacts:read, contacts:write, meetings:read, analytics:read, events:read, webhooks:write, knowledge:read, knowledge:write, agent:read, agent:write, experiments:read, experiments:write, privacy:write, chat:write.
Query Parameters
7d, 14d, 30d (default) or 90d.
Available options:
7d, 14d, 30d, 90d One page.
One source label.
desktop or mobile.
Available options:
desktop, mobile Response
OK
Allowed value:
"analytics"Available options:
7d, 14d, 30d, 90d Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes